import { jsx } from "react/jsx-runtime";
import { TokenAIOZ as TokenAIOZ$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenAIOZ = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "AIOZ", "data-name": "TokenAIOZ", ...props, children: /* @__PURE__ */ jsx(TokenAIOZ$1, { variant }) });
  }
);
TokenAIOZ.displayName = "TokenAIOZ";
Object.assign(TokenAIOZ, { isGdsIcon: true });
export {
  TokenAIOZ
};
